import { defineComponent, useCssVars, ref, reactive, watch, computed, resolveComponent, openBlock, createElementBlock, createVNode, withCtx, createTextVNode, createElementVNode, Fragment, renderList, normalizeClass, withDirectives, unref, vShow, normalizeStyle, createCommentVNode, nextTick, pushScopeId, popScopeId, createBlock, toDisplayString } from "vue";
import { N as loadAsyncComponent, I as cloneDeep, bg as lighten, bh as darken, bi as fade, i as icon, bj as hslToHexa, bk as hslToHex, _ as _export_sfc, g as getUUID, u as useChartEditStore, d as goDialog, q as EditCanvasConfigEnum } from "./index-67bc0910.js";
import { n as noData } from "./noData-b19667d9.js";
const _withScopeId$1 = (n) => (pushScopeId("data-v-04bb59e0"), n = n(), popScopeId(), n);
const _hoisted_1$1 = {
  key: 0,
  class: "create-color-setting"
};
const _hoisted_2$1 = {
  class: "color-list-box go-mt-3",
  "x-gap": 12,
  "y-gap": 12,
  cols: 4
};
const _hoisted_3$1 = { class: "go-flex-items-center" };
const _hoisted_4$1 = /* @__PURE__ */ _withScopeId$1(() => /* @__PURE__ */ createElementVNode("span", { class: "go-mr-4" }, "添加", -1));
const _hoisted_5$1 = { class: "expend-color-box" };
const _hoisted_6$1 = ["onClick"];
const _hoisted_7$1 = /* @__PURE__ */ _withScopeId$1(() => /* @__PURE__ */ createElementVNode("div", { class: "n-color-picker-checkboard" }, null, -1));
const _hoisted_8$1 = ["onClick"];
const _hoisted_9$1 = /* @__PURE__ */ _withScopeId$1(() => /* @__PURE__ */ createElementVNode("div", { class: "n-color-picker-checkboard" }, null, -1));
const _sfc_main$1 = /* @__PURE__ */ defineComponent({
  __name: "index",
  props: {
    selectColor: Object
  },
  emits: ["updateColor"],
  setup(__props, { emit }) {
    const props = __props;
    useCssVars((_ctx) => ({
      "3d26029e": targetColor.color
    }));
    const { AddIcon, TrashIcon } = icon.ionicons5;
    const CreateColorRenderChart = loadAsyncComponent(() => import("./index-d45a0599.js"));
    const editColor = ref();
    const targetColor = reactive({
      // -1 表示无选中元素
      index: -1,
      color: ""
    });
    watch(
      () => {
        var _a;
        return (_a = props.selectColor) == null ? void 0 : _a.id;
      },
      () => {
        var _a;
        editColor.value = cloneDeep(props.selectColor);
        targetColor.index = 0;
        targetColor.color = (_a = editColor.value) == null ? void 0 : _a.color[0];
      },
      {
        immediate: true,
        deep: false
      }
    );
    const expandColorList = computed(() => {
      return computedColorList(targetColor.color);
    });
    const computedColorList = (color) => {
      if (!color)
        return {
          default: [],
          fade: []
        };
      const num = 36;
      const comDarkenArr = [];
      const comLightenArr = [];
      const comDarkenFadeArr = [];
      for (let i = 0; i < num; i++) {
        comLightenArr.unshift(lighten(color, 1 / 100 * (i + 1)));
        comDarkenArr.push(darken(color, 3.5 / 100 * (i + 1)));
      }
      comDarkenArr.forEach((item, i) => {
        comDarkenFadeArr.unshift(fade(item, 1 / 100 * (i + 1)));
      });
      return {
        default: [
          ...comLightenArr.reverse().splice(0, parseInt(`${num / 2}`) - 9),
          ...comDarkenArr.splice(0, parseInt(`${num / 2}`))
        ],
        fade: comDarkenFadeArr.reverse().splice(0, 27)
      };
    };
    const getRenderBackgroundColor = (color) => {
      return {
        backgroundColor: color
      };
    };
    const selectHandle = (color, index2) => {
      targetColor.color = color;
      targetColor.index = index2;
    };
    const completeHandle = (color, index2) => {
      color && (targetColor.color = color);
      index2 && (targetColor.index = index2);
      nextTick(() => {
        emit("updateColor", editColor.value);
      });
    };
    const selectExpandColor = (color, isHexa) => {
      const hexColor = isHexa ? hslToHexa(color) : hslToHex(color);
      editColor.value && (editColor.value.color[targetColor.index] = hexColor);
      nextTick(() => {
        emit("updateColor", editColor.value);
      });
    };
    const addColor = () => {
      var _a, _b, _c;
      const lastData = ((_b = editColor.value) == null ? void 0 : _b.color[((_a = editColor.value) == null ? void 0 : _a.color.length) - 1]) || "#2c2c31";
      (_c = editColor.value) == null ? void 0 : _c.color.push(lastData);
      nextTick(() => {
        emit("updateColor", editColor.value);
      });
    };
    const deleteColor = (index2) => {
      var _a, _b;
      (_a = editColor.value) == null ? void 0 : _a.color.splice(index2, 1);
      if (index2 === targetColor.index) {
        completeHandle((_b = editColor.value) == null ? void 0 : _b.color[index2 - 1], index2 - 1);
      }
    };
    const titleChangeHandle = () => {
      nextTick(() => {
        emit("updateColor", editColor.value);
      });
    };
    return (_ctx, _cache) => {
      const _component_n_input_group_label = resolveComponent("n-input-group-label");
      const _component_n_input = resolveComponent("n-input");
      const _component_n_input_group = resolveComponent("n-input-group");
      const _component_n_tag = resolveComponent("n-tag");
      const _component_n_space = resolveComponent("n-space");
      const _component_n_color_picker = resolveComponent("n-color-picker");
      const _component_n_icon = resolveComponent("n-icon");
      const _component_n_tooltip = resolveComponent("n-tooltip");
      const _component_n_button = resolveComponent("n-button");
      const _component_n_scrollbar = resolveComponent("n-scrollbar");
      const _component_n_card = resolveComponent("n-card");
      const _component_n_text = resolveComponent("n-text");
      const _component_n_divider = resolveComponent("n-divider");
      return editColor.value ? (openBlock(), createElementBlock("div", _hoisted_1$1, [
        createVNode(_component_n_card, {
          bordered: false,
          role: "dialog",
          size: "small",
          "aria-modal": "true"
        }, {
          default: withCtx(() => [
            createVNode(_component_n_space, { justify: "space-between" }, {
              default: withCtx(() => [
                createVNode(_component_n_input_group, null, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_group_label, null, {
                      default: withCtx(() => [
                        createTextVNode("名称:")
                      ]),
                      _: 1
                    }),
                    createVNode(_component_n_input, {
                      class: "create-color-name",
                      value: editColor.value.name,
                      "onUpdate:value": _cache[0] || (_cache[0] = ($event) => editColor.value.name = $event),
                      valueModifiers: { trim: true },
                      maxlength: "8",
                      "show-count": "",
                      clearable: "",
                      onChange: titleChangeHandle
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(_component_n_tag, { type: "warning" }, {
                  default: withCtx(() => [
                    createTextVNode("底部图表仅展示 7 条数据")
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }),
            createVNode(_component_n_scrollbar, { style: { "max-height": "132px" } }, {
              default: withCtx(() => [
                createElementVNode("div", _hoisted_2$1, [
                  (openBlock(true), createElementBlock(Fragment, null, renderList(editColor.value.color, (item, index2) => {
                    return openBlock(), createElementBlock("div", {
                      class: "color-list-item",
                      key: index2
                    }, [
                      createElementVNode("div", {
                        class: normalizeClass(["go-flex-items-center", { select: index2 === targetColor.index }])
                      }, [
                        createVNode(_component_n_color_picker, {
                          style: { "width": "95px" },
                          value: editColor.value.color[index2],
                          "onUpdate:value": ($event) => editColor.value.color[index2] = $event,
                          "show-preview": true,
                          modes: ["hex"],
                          onComplete: ($event) => completeHandle($event, index2),
                          "onUpdate:show": ($event) => selectHandle(item, index2)
                        }, null, 8, ["value", "onUpdate:value", "onComplete", "onUpdate:show"]),
                        withDirectives(createElementVNode("div", null, [
                          createVNode(_component_n_tooltip, { trigger: "hover" }, {
                            trigger: withCtx(() => [
                              createVNode(_component_n_icon, {
                                class: "go-ml-1 go-cursor-pointer",
                                size: "16",
                                depth: 3,
                                onClick: ($event) => deleteColor(index2)
                              }, {
                                default: withCtx(() => [
                                  createVNode(unref(TrashIcon))
                                ]),
                                _: 2
                              }, 1032, ["onClick"])
                            ]),
                            default: withCtx(() => [
                              createTextVNode(" 删除颜色 ")
                            ]),
                            _: 2
                          }, 1024)
                        ], 512), [
                          [vShow, index2 > 5]
                        ])
                      ], 2)
                    ]);
                  }), 128)),
                  createElementVNode("div", null, [
                    createVNode(_component_n_button, {
                      type: "primary",
                      secondary: "",
                      onClick: addColor
                    }, {
                      default: withCtx(() => [
                        createElementVNode("div", _hoisted_3$1, [
                          _hoisted_4$1,
                          createVNode(_component_n_icon, { size: "16" }, {
                            default: withCtx(() => [
                              createVNode(unref(AddIcon))
                            ]),
                            _: 1
                          })
                        ])
                      ]),
                      _: 1
                    })
                  ])
                ])
              ]),
              _: 1
            })
          ]),
          _: 1
        }),
        createElementVNode("div", _hoisted_5$1, [
          createVNode(_component_n_card, {
            class: "go-mt-3 expend-color",
            bordered: false,
            role: "dialog",
            size: "small",
            "aria-modal": "true"
          }, {
            default: withCtx(() => [
              createVNode(_component_n_text, null, {
                default: withCtx(() => [
                  createTextVNode("默认扩展色：")
                ]),
                _: 1
              }),
              createVNode(_component_n_divider, { style: { "margin": "10px 0" } }),
              createVNode(_component_n_space, {
                size: [4, 0],
                justify: "center"
              }, {
                default: withCtx(() => [
                  (openBlock(true), createElementBlock(Fragment, null, renderList(expandColorList.value.default, (item, index2) => {
                    return openBlock(), createElementBlock("div", {
                      class: "color-computed-item",
                      key: index2,
                      onClick: ($event) => selectExpandColor(item, false)
                    }, [
                      _hoisted_7$1,
                      createElementVNode("div", {
                        style: normalizeStyle(getRenderBackgroundColor(item))
                      }, null, 4)
                    ], 8, _hoisted_6$1);
                  }), 128))
                ]),
                _: 1
              })
            ]),
            _: 1
          }),
          createVNode(_component_n_card, {
            class: "go-mt-3 expend-color",
            bordered: false,
            role: "dialog",
            size: "small",
            "aria-modal": "true"
          }, {
            default: withCtx(() => [
              createVNode(_component_n_text, null, {
                default: withCtx(() => [
                  createTextVNode("透明扩展色：")
                ]),
                _: 1
              }),
              createVNode(_component_n_divider, { style: { "margin": "10px 0" } }),
              createVNode(_component_n_space, {
                size: [4, 0],
                justify: "center"
              }, {
                default: withCtx(() => [
                  (openBlock(true), createElementBlock(Fragment, null, renderList(expandColorList.value.fade, (item, index2) => {
                    return openBlock(), createElementBlock("div", {
                      class: "color-computed-item",
                      key: index2,
                      onClick: ($event) => selectExpandColor(item, true)
                    }, [
                      _hoisted_9$1,
                      createElementVNode("div", {
                        style: normalizeStyle(getRenderBackgroundColor(item))
                      }, null, 4)
                    ], 8, _hoisted_8$1);
                  }), 128))
                ]),
                _: 1
              })
            ]),
            _: 1
          })
        ]),
        createVNode(unref(CreateColorRenderChart), {
          color: unref(cloneDeep)(editColor.value.color).splice(0, 7)
        }, null, 8, ["color"])
      ])) : createCommentVNode("", true);
    };
  }
});
const index_vue_vue_type_style_index_0_scoped_04bb59e0_lang = "";
const CreateColorRender = /* @__PURE__ */ _export_sfc(_sfc_main$1, [["__scopeId", "data-v-04bb59e0"]]);
const _withScopeId = (n) => (pushScopeId("data-v-1aebdbd9"), n = n(), popScopeId(), n);
const _hoisted_1 = { class: "create-content" };
const _hoisted_2 = { class: "create-color-setting-box" };
const _hoisted_3 = {
  key: 1,
  class: "no-data go-flex-center"
};
const _hoisted_4 = ["src"];
const _hoisted_5 = { class: "color-list-box" };
const _hoisted_6 = { class: "color-list" };
const _hoisted_7 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ createElementVNode("span", null, " 创建 ", -1));
const _hoisted_8 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ createElementVNode("span", null, " 应用数据 ", -1));
const _hoisted_9 = { class: "go-flex-items-center" };
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  props: {
    modelShow: Boolean
  },
  emits: ["update:modelShow", "editSaveHandle"],
  setup(__props, { emit }) {
    const props = __props;
    const { DuplicateOutlineIcon, TrashIcon, ArrowDownIcon } = icon.ionicons5;
    const defaultColor = {
      id: getUUID(),
      name: "未命名",
      color: ["#6ae5bb", "#69e3de", "#5ac5ee", "#5ac4ee", "#4498ec", "#3c7ddf"]
    };
    const chartEditStore = useChartEditStore();
    const modelShowRef = ref(false);
    let colorList = reactive(chartEditStore.getEditCanvasConfig.chartCustomThemeColorInfo || []);
    const updateColor = ref(void 0);
    const selectColor = reactive({
      selectInfo: colorList[0]
    });
    watch(
      () => props.modelShow,
      (newValue) => {
        modelShowRef.value = newValue;
        if (newValue) {
          if (colorList.length)
            selectColor.selectInfo = colorList[0];
        }
      }
    );
    const selectColorId = computed(() => {
      var _a;
      return (_a = selectColor == null ? void 0 : selectColor.selectInfo) == null ? void 0 : _a.id;
    });
    const selectThemeColor = computed(() => chartEditStore.getEditCanvasConfig.chartThemeColor);
    const selectHandle = (item) => {
      if (item.id === selectColorId.value)
        return;
      if (updateColor.value !== void 0) {
        goDialog({
          message: "当前有变动未保存，是否直接放弃修改？",
          onPositiveCallback: () => {
            updateColor.value = void 0;
            selectColor.selectInfo = item;
          }
        });
      } else {
        selectColor.selectInfo = item;
      }
    };
    const createColor = () => {
      const positiveHandle = () => {
        const newData = { ...cloneDeep(defaultColor), id: getUUID() };
        selectColor.selectInfo = newData;
        colorList.push(newData);
        selectHandle(newData);
        updateColor.value = newData;
        saveHandle(false);
      };
      if (updateColor.value !== void 0) {
        goDialog({
          message: "当前有变动未保存，是否直接放弃修改？",
          onPositiveCallback: () => {
            updateColor.value = void 0;
            positiveHandle();
          }
        });
      } else {
        positiveHandle();
      }
    };
    const deleteHandle = (index2) => {
      const positiveHandle = () => {
        colorList.splice(index2, 1);
        chartEditStore.setEditCanvasConfig(EditCanvasConfigEnum.CHART_CUSTOM_THEME_COLOR_INFO, cloneDeep(colorList));
        nextTick(() => {
          if (colorList.length) {
            selectHandle(colorList[index2 - 1 > -1 ? index2 - 1 : index2]);
          } else {
            selectColor.selectInfo = void 0;
          }
        });
      };
      if (updateColor.value !== void 0) {
        goDialog({
          message: "当前有变动未保存，是否直接放弃修改？",
          onPositiveCallback: () => {
            updateColor.value = void 0;
            positiveHandle();
          }
        });
      } else {
        goDialog({
          message: `是否删除此颜色？`,
          onPositiveCallback: () => {
            positiveHandle();
          }
        });
      }
    };
    const updateColorHandle = (newColor) => {
      updateColor.value = newColor;
    };
    const saveHandle = (onMessage = true) => {
      if (!updateColor.value)
        return;
      const index2 = colorList.findIndex((item) => {
        var _a;
        return item.id === ((_a = updateColor.value) == null ? void 0 : _a.id);
      });
      if (index2 !== -1) {
        onMessage && window.$message.success("数据应用成功！");
        const updateColorPrefix = cloneDeep({ ...updateColor.value, name: updateColor.value.name || "未定义" });
        colorList.splice(index2, 1, updateColorPrefix);
        updateColor.value = void 0;
        const selectTheme = chartEditStore.getEditCanvasConfig.chartThemeColor;
        chartEditStore.setEditCanvasConfig(EditCanvasConfigEnum.CHART_THEME_COLOR, "dark");
        nextTick(() => {
          chartEditStore.setEditCanvasConfig(EditCanvasConfigEnum.CHART_CUSTOM_THEME_COLOR_INFO, cloneDeep(colorList));
          chartEditStore.setEditCanvasConfig(EditCanvasConfigEnum.CHART_THEME_COLOR, selectTheme);
        });
      } else {
        window.$message.error("数据应用失败！");
      }
    };
    const closeHandle = () => {
      const positiveHandle = () => {
        updateColor.value = void 0;
        selectColor.selectInfo = void 0;
        emit("update:modelShow", false);
      };
      if (updateColor.value !== void 0) {
        goDialog({
          message: "当前有变动未保存，是否直接放弃修改？",
          onPositiveCallback: () => {
            positiveHandle();
          }
        });
      } else {
        positiveHandle();
      }
    };
    const colorBackgroundImage = (item) => {
      return `linear-gradient(to right, ${item.color[0]} 0%, ${item.color[5]} 100%)`;
    };
    return (_ctx, _cache) => {
      const _component_n_text = resolveComponent("n-text");
      const _component_n_timeline_item = resolveComponent("n-timeline-item");
      const _component_n_timeline = resolveComponent("n-timeline");
      const _component_n_icon = resolveComponent("n-icon");
      const _component_n_button = resolveComponent("n-button");
      const _component_n_badge = resolveComponent("n-badge");
      const _component_n_space = resolveComponent("n-space");
      const _component_n_divider = resolveComponent("n-divider");
      const _component_n_a = resolveComponent("n-a");
      const _component_n_ellipsis = resolveComponent("n-ellipsis");
      const _component_n_card = resolveComponent("n-card");
      const _component_n_tooltip = resolveComponent("n-tooltip");
      const _component_n_modal = resolveComponent("n-modal");
      return openBlock(), createBlock(_component_n_modal, {
        class: "go-chart-create-color",
        show: modelShowRef.value,
        "onUpdate:show": _cache[0] || (_cache[0] = ($event) => modelShowRef.value = $event),
        "mask-closable": false,
        closeOnEsc: false
      }, {
        default: withCtx(() => [
          createVNode(_component_n_card, {
            bordered: false,
            role: "dialog",
            size: "small",
            "aria-modal": "true",
            style: { "width": "900px", "height": "720px" }
          }, {
            header: withCtx(() => []),
            "header-extra": withCtx(() => []),
            action: withCtx(() => [
              createVNode(_component_n_space, { justify: "end" }, {
                default: withCtx(() => [
                  createVNode(_component_n_button, { onClick: closeHandle }, {
                    default: withCtx(() => [
                      createTextVNode("操作完成")
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              })
            ]),
            default: withCtx(() => [
              createElementVNode("div", _hoisted_1, [
                createElementVNode("div", _hoisted_2, [
                  selectColorId.value ? (openBlock(), createBlock(unref(CreateColorRender), {
                    key: 0,
                    selectColor: selectColor.selectInfo,
                    onUpdateColor: updateColorHandle
                  }, null, 8, ["selectColor"])) : (openBlock(), createElementBlock("div", _hoisted_3, [
                    createElementVNode("img", {
                      src: unref(noData),
                      alt: "暂无数据"
                    }, null, 8, _hoisted_4),
                    createVNode(_component_n_text, { depth: 3 }, {
                      default: withCtx(() => [
                        createTextVNode("暂未选择自定义颜色")
                      ]),
                      _: 1
                    })
                  ]))
                ]),
                createElementVNode("div", _hoisted_5, [
                  createVNode(_component_n_timeline, {
                    class: "pond-item-timeline",
                    style: { "width": "20px" }
                  }, {
                    default: withCtx(() => [
                      createVNode(_component_n_timeline_item, { type: "info" }),
                      createVNode(_component_n_timeline_item, { type: "success" })
                    ]),
                    _: 1
                  }),
                  createElementVNode("div", _hoisted_6, [
                    createVNode(_component_n_space, null, {
                      default: withCtx(() => [
                        createVNode(_component_n_button, {
                          class: normalizeClass(["create-btn", { "is-full": !!!selectColorId.value }]),
                          type: "primary",
                          ghost: !!!selectColorId.value,
                          secondary: !!selectColorId.value,
                          onClick: createColor
                        }, {
                          icon: withCtx(() => [
                            createVNode(_component_n_icon, null, {
                              default: withCtx(() => [
                                createVNode(unref(DuplicateOutlineIcon))
                              ]),
                              _: 1
                            })
                          ]),
                          default: withCtx(() => [
                            _hoisted_7
                          ]),
                          _: 1
                        }, 8, ["class", "ghost", "secondary"]),
                        selectColorId.value ? (openBlock(), createBlock(_component_n_badge, {
                          key: 0,
                          show: updateColor.value !== void 0,
                          dot: ""
                        }, {
                          default: withCtx(() => [
                            createVNode(_component_n_button, {
                              class: "create-btn",
                              type: "info",
                              secondary: "",
                              onClick: saveHandle
                            }, {
                              icon: withCtx(() => [
                                createVNode(_component_n_icon, null, {
                                  default: withCtx(() => [
                                    createVNode(unref(ArrowDownIcon))
                                  ]),
                                  _: 1
                                })
                              ]),
                              default: withCtx(() => [
                                _hoisted_8
                              ]),
                              _: 1
                            })
                          ]),
                          _: 1
                        }, 8, ["show"])) : createCommentVNode("", true)
                      ]),
                      _: 1
                    }),
                    createVNode(_component_n_divider, { style: { "margin": "10px 0" } }),
                    !selectColorId.value ? (openBlock(), createBlock(_component_n_text, {
                      key: 0,
                      class: "not-data-text",
                      depth: 3
                    }, {
                      default: withCtx(() => [
                        createTextVNode(" 暂无自定义颜色， "),
                        createVNode(_component_n_a, { onClick: createColor }, {
                          default: withCtx(() => [
                            createTextVNode("立即创建")
                          ]),
                          _: 1
                        })
                      ]),
                      _: 1
                    })) : createCommentVNode("", true),
                    (openBlock(true), createElementBlock(Fragment, null, renderList(unref(colorList), (item, index2) => {
                      return openBlock(), createElementBlock("div", {
                        class: "color-card-box",
                        key: index2
                      }, [
                        createVNode(_component_n_card, {
                          class: normalizeClass(["color-card", { selected: item.id === selectColorId.value }]),
                          size: "small",
                          hoverable: "",
                          embedded: "",
                          onClick: ($event) => selectHandle(item)
                        }, {
                          default: withCtx(() => [
                            createElementVNode("div", _hoisted_9, [
                              createVNode(_component_n_ellipsis, { style: { "text-align": "left", "width": "70px" } }, {
                                default: withCtx(() => [
                                  createTextVNode(toDisplayString(item.name), 1)
                                ]),
                                _: 2
                              }, 1024),
                              (openBlock(true), createElementBlock(Fragment, null, renderList(item.color, (colorItem, index22) => {
                                return openBlock(), createElementBlock("span", {
                                  class: "theme-color-item",
                                  key: index22,
                                  style: normalizeStyle({ backgroundColor: colorItem })
                                }, null, 4);
                              }), 128))
                            ]),
                            createElementVNode("div", {
                              class: "theme-bottom",
                              style: normalizeStyle({ backgroundImage: colorBackgroundImage(item) })
                            }, null, 4)
                          ]),
                          _: 2
                        }, 1032, ["class", "onClick"]),
                        createVNode(_component_n_tooltip, { trigger: "hover" }, {
                          trigger: withCtx(() => [
                            createVNode(_component_n_button, {
                              text: "",
                              disabled: item.id === selectThemeColor.value,
                              onClick: ($event) => deleteHandle(index2)
                            }, {
                              default: withCtx(() => [
                                createVNode(_component_n_icon, {
                                  class: "go-ml-1 go-cursor-pointer",
                                  size: "16",
                                  depth: 3
                                }, {
                                  default: withCtx(() => [
                                    createVNode(unref(TrashIcon))
                                  ]),
                                  _: 1
                                })
                              ]),
                              _: 2
                            }, 1032, ["disabled", "onClick"])
                          ]),
                          default: withCtx(() => [
                            createTextVNode(" 删除自定义颜色 ")
                          ]),
                          _: 2
                        }, 1024)
                      ]);
                    }), 128))
                  ])
                ])
              ])
            ]),
            _: 1
          })
        ]),
        _: 1
      }, 8, ["show"]);
    };
  }
});
const index_vue_vue_type_style_index_0_scoped_1aebdbd9_lang = "";
const index = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-1aebdbd9"]]);
export {
  index as default
};
